#include "FrequencyTuningStatusFreqDto.h"

FrequencyTuningStatusFreqDto::FrequencyTuningStatusFreqDto(QObject *parent) : DeviceFrameBaseDto(parent)
{

}

QJsonObject FrequencyTuningStatusFreqDto::toJSON()
{
    QJsonObject jsonObj;

    QJsonObject dataObj;
    dataObj.insert("devStatus", devStatus);
    dataObj.insert("inputTimeType", inputTimeType);
    dataObj.insert("inputValid", inputValid);
    dataObj.insert("freqAdjustAcc", freqAdjustAcc);
    dataObj.insert("pulseAdjustAcc", (float) pulseAdjustAcc * 0.1);

    jsonObj.insert("ts", this->milisecond);
    jsonObj.insert("frameType", this->frameType);
    jsonObj.insert("data", dataObj);

    return jsonObj;
}
